Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224532 - gcc-4.1.1-51.fc6 failed to compile openoffice.org-2.0.4-5.5.10
Summary: gcc-4.1.1-51.fc6 failed to compile openoffice.org-2.0.4-5.5.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 04:15 UTC by H.J. Lu
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.0.4-5.5.17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 07:49:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 71039 None None None Never

Description H.J. Lu 2007-01-26 04:15:46 UTC
I can't use gcc-4.1.1-51.fc6 to rebuild openoffice.org-2.0.4-5.5.10:

g++ -Wreturn-type -fmessage-length=0 -c -O2 -fno-strict-aliasing -Wuninitialized
  -fvisibility=hidden -I.  -I../../unxlngx6.pro/inc/accessibility -I../inc
-I../../inc/pch -I../../inc -I../../unx/inc -I../../unxlngx6.pro/inc -I.
-I/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/stl
-I/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/external
-I/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc
-I/export/redhat/rpms/BUILD/OOD680_m5/solenv/unxlngx6/inc
-I/export/redhat/rpms/BUILD/OOD680_m5/solenv/inc
-I/export/redhat/rpms/BUILD/OOD680_m5/res
-I/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/stl
-I/export/redhat/rpms/BUILD/OOD680_m5/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.4.2-gcj/include -I/usr/include    
-I/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/offuh -I.
-I../../res -I. -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -fno-omit-frame-pointer
-D_FILE_OFFSET_BITS=64 -Wno-ctor-dtor-privacy -fno-use-cxa-atexit
-fvisibility-inlines-hidden -g -fexceptions -fno-enforce-eh-specs    -fpic
-DLINUX -DUNX -DVCL -DGCC -DC341 -DX86_64 -DCVER=C341 -DNPTL -DGLIBC=2 -DX86_64
-D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=400
-DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../include/c++/4.1.1
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DOOD680=OOD680   -DSVX_DLLIMPLEMENTATION
-DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o
../../unxlngx6.pro/slo/GraphCtlAccessibleContext.o
/export/redhat/rpms/BUILD/OOD680_m5/svx/source/accessibility/GraphCtlAccessibleContext.cxx
/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/com/sun/star/uno/Type.h:473:
warning: lowering visibility of 'const com::sun::star::uno::Type& getCppuType()
[with T = short unsigned int]' to match its type
/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/com/sun/star/uno/Any.h:293:
warning: lowering visibility of 'com::sun::star::uno::Any
com::sun::star::uno::makeAny(const C&) [with C = bool]' to match its type
/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/com/sun/star/uno/Any.h:353:
warning: lowering visibility of 'sal_Bool com::sun::star::uno::operator>>=(const
com::sun::star::uno::Any&, C&) [with C = bool]' to match its type
/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/com/sun/star/uno/Any.h:356:
warning: lowering visibility of 'sal_Bool com::sun::star::uno::operator==(const
com::sun::star::uno::Any&, const C&) [with C = bool]' to match its type
/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/com/sun/star/uno/Any.hxx:
In function 'sal_Bool com::sun::star::uno::operator==(const
com::sun::star::uno::Any&, const C&) [with C = bool]':
/export/redhat/rpms/BUILD/OOD680_m5/solver/680/unxlngx6.pro/inc/com/sun/star/uno/Any.hxx:285:
warning: lowering visibility of 'sal_Bool com::sun::star::uno::operator==(const
com::sun::star::uno::Any&, const C&) [with C = bool]' to match its type
../../inc/svdobj.hxx: At global scope:
../../inc/svdobj.hxx:326: error: invalid pure specifier (only `= 0' is allowed)
before ';' token
dmake:  Error code 1, while making
'../../unxlngx6.pro/slo/GraphCtlAccessibleContext.obj'
'---* tg_merge.mk *---'

Which gcc was used to build openoffice.org-core-2.0.4-5.5.10? Is this a
gcc regressions?

Comment 1 Jakub Jelinek 2007-01-26 07:48:21 UTC
Can you provide preprocessed source?
It might very well be OOo bug too, without preprocessed source hard to say.
-5.5.0 was built with gcc-4.1.1-30.

Comment 2 Caolan McNamara 2007-01-26 08:10:11 UTC
I recognize this, the code was a pure virtual declaration of..

class bar
{
virtual foo() = NULL;
instead of 
virtual foo() = 0;
};

fixed upstream, I'll add a patch to FC-6 if we need to rebuild OOo for FC-6 again

Comment 3 Caolan McNamara 2007-01-26 08:28:46 UTC
openoffice.org-2.0.4.ooo71039.svx.purevirtual.patch, will be in next FC-6 respin

Comment 4 H.J. Lu 2007-01-26 13:49:05 UTC
The date in the changelog entry is bad:

%changelog
* Mon Jan 15 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-5.5.11
             ^^^^^

Comment 5 Caolan McNamara 2007-01-26 13:51:04 UTC
I'll fix it when I build it, not a major priority at the moment

Comment 6 Caolan McNamara 2007-03-28 07:49:52 UTC
now in 2.0.4-5.5.17 in FC-6 updates


Note You need to log in before you can comment on or make changes to this bug.